Soporte » Instalación – Actualizaciones » Problema actualizacion en segundo plano y problema de version PHP

  • miguelbeni

    (@miguelbeni)


    Hola a todos,

    Desde la ultima actualizacion de WordPress tengo una serie de problemas que son los siguientes:

    1 Me dicen que no se puede realizar las actualizaciones en segundo plano y este es el texto que me aparece
    Las actualizaciones en segundo plano garantizan que WordPress se puede actualizar automáticamente si se publica una actualización de seguridad para la versión que estás utilizando actualmente.

    Error Un plugin ha impedido las actualizaciones al desactivar wp_version_check().
    Aprobado No se han detectado sistemas de control de versiones.
    Aprobado Tu instalación de WordPress no requiere credenciales de FTP para realizar actualizaciones.
    Error Algunos archivos no son editables por WordPress:
    xmlrpc.php
    wp-blog-header.php
    readme.html
    wp-signup.php
    index.php
    wp-cron.php
    wp-config-sample.php
    wp-login.php
    wp-settings.php
    license.txt
    wp-mail.php
    wp-links-opml.php
    wp-load.php
    wp-includes/class-wp-user-query.php
    wp-includes/l10n.php
    wp-includes/date.php
    wp-includes/class-wp-oembed.php
    wp-includes/images/w-logo-blue-white-bg.png
    wp-includes/images/blank.gif
    wp-includes/images/down_arrow.gif

    2 Me dicen que estoy utilizando una version antigua de PHP.
    En este caso segui los pasos para cambiarme a la ultima version PHP disponible (7.4) en mi hosting (1&1 IONOS) pero no se hace efectivo en mi wordpress.
    Podria ser este punto el problema del punto 1?

    Si es asi mo podriais decir que hacer ademas de haber actualizado mi version PHP por favor?

    Gracias de antemano por vuestras respuestas.

Viendo 11 respuestas - de la 1 a la 11 (de un total de 11)
  • Moderador almendron

    (@almendron)

    1) Un plugin ha impedido las actualizaciones al desactivar: tendrás que comprobar qué plugin es el que provoca ese aviso. Desactiva todos. Comprueba que ya no te aparece ese error y, si desaparece, ve activando-comprobando hasta encontrar al responsable.

    2) Error Algunos archivos no son editables por WordPress
    Tienes que revisar TODOS tus archivos y carpetas para que se queden con los permisos 644 y 755 respectivamente.

    3) Version antigua de PHP: ponte en contacto con el soporte de tu hosting.

    miguelbeni

    (@miguelbeni)

    Gracias Almendron por su respuesta.

    Voy a desactivar los plugins como me aconseja.

    Sin embargo no se como revisar ni como dar los permisos 644 y 755.

    Gracias

    Moderador almendron

    (@almendron)

    Normalmente, los clientes de FTP suelen tener la opción de comprobar los permisos. En caso de los paneles de control de los hostings, deberás ponerte en contacto con ellos ya que suele haber una opción para modificarlos.

    miguelbeni

    (@miguelbeni)

    He desactivado todos los plugins y la incidencia de las actualizaciones en segundo plano seguia ahi.

    Otra idea que podria probar?

    Gracias por su tiempo.

    Moderador almendron

    (@almendron)

    Ve a Plugins > Plugisn instalados y dime si te sale la columna «Actualizaciones automáticas». En caso negativo, comprueba en esa misma página que tampoco aparece esa opción en «Opciones de pantalla».

    miguelbeni

    (@miguelbeni)

    Si me aparece la columna y estan todos los plugins en «siempre activas»

    Y en el error me dice «Error Un plugin ha impedido las actualizaciones al desactivar wp_version_check», como puedo activar de nuevo wp_version_check?

    Moderador almendron

    (@almendron)

    Si no es un plugin, tal vez sea algo que has añadido al archivo wp-config.php.

    Mira a ver si ene se archivo tienes puesto define( 'WP_AUTO_UPDATE_CORE', false );

    Nota: haz siempre copia de seguridad del archivo que vayas a modificar.

    miguelbeni

    (@miguelbeni)

    No tengo esa linea ni con false ni con true.

    Moderador almendron

    (@almendron)

    Comprueba si tienes puesto

    define('AUTOMATIC_UPDATER_DISABLED', true );

    ¿Has añadido algún tipo de código personalizado en el functions.php del tema que usas?

    miguelbeni

    (@miguelbeni)

    No tengo tampoco esa linea de escritura…

    No he añadido nada solo he descargado plugins pero de los ma conocidos (no que sean cosas raras)

    Moderador almendron

    (@almendron)

    Lo primero de todo sería arreglar lo de los permisos y luego vemos el resto de problemas.

    Accede al panel de control del hosting y miara a ver si tienes una opción llamada «Permisos».

Viendo 11 respuestas - de la 1 a la 11 (de un total de 11)
  • Debes estar registrado para responder a este debate.